Skip to content
Ona Docs

DeleteProjectPolicy

POST/gitpod.v1.ProjectService/DeleteProjectPolicy

Deletes a project policy.

Use this method to:

  • Remove access controls
  • Revoke permissions
  • Clean up policies

Examples

  • Delete policy:

    Removes a group’s access policy.

    projectId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
    groupId: "f53d2330-3795-4c5d-a1f3-453121af9c60"
Body ParametersJSONExpand Collapse
groupId: optional string

group_id specifies the group_id identifier

formatuuid
projectId: optional string

project_id specifies the project identifier

formatuuid

DeleteProjectPolicy

curl https://app.gitpod.io/api/gitpod.v1.ProjectService/DeleteProjectPolicy \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{}
Returns Examples
{}